none
Дубль два - Приложение WinForms на VS2008 не запускается ни на одном компе где не установлена VS. RRS feed

  • Общие обсуждения

  • Я уже тупо создал форму и скинул на другой комп. Установил туда всё что токо можно, пять разных Microsoft Visual C++ Redistributable Package. Установил net framework 3.5 (под которым и создавалось приложение).

    Ещё - запускается у всех друганов у кого тоже стоит VS, запускается у друругана без VS, но с 64 семёркой и тоже кучей Microsoft Visual C++ Redistributable.

    Сейчас в итоге снёс себе на компе все эти редистрибуты, но отдельный ехе всё равно запускается. Значит дело не в них????

    Кто может помочь, и действительно знает что конкретно нужно сделать - пожалуйста отзовитесь. Я уже столько времени убил. Мне даже препод в универе сказал - проще заставить клиента установить VS, чем разобраться в этом

    • Перемещено Tagore Bandlamudi 2 октября 2010 г. 23:31 MSDN Forums consolidation (От:Форум по .NET Framework)
    • Изменен тип I.Vorontsov 11 октября 2010 г. 13:12
    • Изменен тип I.Vorontsov 11 октября 2010 г. 13:12
    20 сентября 2010 г. 15:14

Все ответы

  • Создай стандартный setup project в студии. Он сам продетектит нужные зависимости. 

    21 сентября 2010 г. 7:49
  • Ну детектит он зависимость .net framework... Толку то?
    21 сентября 2010 г. 15:02
  • запускается у друругана без VS, но с 64 семёркой и тоже кучей Microsoft Visual C++ Redistributable.

    Стесняюсь спросить, ты под x32 компилируешь?
    E-mail: Svatoslav.Pankratov@gmail.com
    21 сентября 2010 г. 15:32
  • Какой детектит? Их есть штук 6 разных, если с сервиспаками. 3.5? 3.5 SP1? :)

    Раз детектит - собирай инсталлер, и инсталлером ставь.

    21 сентября 2010 г. 16:52
  • "Стесняюсь спросить, ты под x32 компилируешь?"

    Ну да у меня 32. А конечная машина стоит в свойстах х86. Что всё из-за этого?



    " Какой детектит? Их есть штук 6 разных, если с сервиспаками. 3.5? 3.5 SP1? :) "

    О спасибо. Я как-то не догадался на свойства нажать. Там пишет какой нужен ещё и ссылку на инстал. Может сработает. Просто уже и так заставлял ставить 3.5 а тут ещё 3.5 sp1 нужен

    21 сентября 2010 г. 17:21
  • Уважаемый пользователь!

     

    В вашей теме отсутствует активность в течение последних 5 дней. При отсутствии каких-либо действий в течение 2 последующих дней, тема будет переведена в разряд обсуждений. Вы можете возобновить дискуссию, просто оставив сообщение в данной теме
    Для связи [Mail]
    29 сентября 2010 г. 5:55